Subject: in.telnetd problems
From: "Chris McCarthy" <[email-masked]>
To: [email-masked]
Date: Wed, 03 Feb 1999 15:08:48 +0000

I have installed the "remote" suite of server tools, I can't remember
where I got it from but it was precompiled and has in.telnetd, in.ftpd
etc etc.    I ran inetd from the shell, then telnet'ed to localhost. It
connected and the login authentication works, but after authentication
it just disconnects (see below)

chris_nt#> inetd
chris_nt#> telnet localhost
Trying 127.0.0.1...
Connected to chris_nt.qumas.ie.
Escape character is '^]'.

CYGWIN_NT-4.0 20.1 (0.3/1/1) (chris_nt) (tty0)

login: myuserid
Password:
Connection closed by foreign host.
chris_nt#>

By running inetd in debug mode I also get the following

someone wants telnet
accept, ctrl 3
+ Closing from 27
1263 execl /usr/local/libexec/in.telnetd
1263 reaped, status 0x100

/bin/sh exists. My home directory in /etc/passwd also exists
Any help appreciated.

..Chris.